%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-font-viewer
Version:	3.24.0
Release:	%mkrel 1
Summary:	GNOME Font Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Backported from upstream/fedora
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gio-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.11
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
Conflicts:	gnome-utils < 1:3.3.1
Conflicts:	gnome-control-center < 3.0.2

%description
Font viewer for Gnome desktop.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-schemas-compile
%make

%install
%makeinstall_std

#fix .desktop file
desktop-file-edit %{buildroot}%{_datadir}/applications/org.gnome.font-viewer.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc NEWS
%{_bindir}/%{name}
%{_bindir}/gnome-thumbnail-font
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/applications/org.gnome.font-viewer.desktop
%{_datadir}/appdata/org.gnome.font-viewer.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.font-viewer.service


%changelog
* Sat Apr 29 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1097998
- new version 3.24.0

* Wed Mar 22 2017 ovitters <ovitters> 3.23.91-1.mga6
+ Revision: 1094304
- new version 3.23.91

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055020
- new version 3.22.0

* Wed May 11 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1013674
- new version 3.20.2

* Tue Mar 29 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 996360
- new version 3.20.0

* Sun Feb 14 2016 umeabot <umeabot> 3.16.2-3.mga6
+ Revision: 960368
- Mageia 6 Mass Rebuild

* Fri Jul 24 2015 sander85 <sander85> 3.16.2-2.mga6
+ Revision: 856937
- Rebuild for new gnome-desktop3

* Sun Jun 21 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 838428
- new version 3.16.2

* Tue Feb 17 2015 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 815419
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 741597
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 731353
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.90-2.mga5
+ Revision: 679723
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666637
- new version 3.13.90

* Wed Mar 26 2014 dams <dams> 3.12.0-1.mga5
+ Revision: 608755
- new version 3.12.0

* Mon Feb 24 2014 tv <tv> 3.10.0-3.mga5
+ Revision: 596546
- rebuild for new libgnome-desktop

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536690
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485337
- new version 3.10.0
- dropped merged patch 1

* Mon Sep 02 2013 ennael <ennael> 3.9.90-2.mga4
+ Revision: 474376
- Rebuild against new gnome-desktop3

* Tue Aug 27 2013 dams <dams> 3.9.90-1.mga4
+ Revision: 472187
- fix build by fixing bad desktop file
- fix build by fixing bad desktop file

  + fwang <fwang>
    - bump req

  + ovitters <ovitters>
    - new version 3.9.90

* Fri May 24 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 426677
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 327053
- new version 3.6.2

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317511
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297135
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295602
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288089
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282548
- new version 3.5.90

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271503
- new version 3.5.4

* Sun Jul 15 2012 fwang <fwang> 3.5.3-2.mga3
+ Revision: 270962
- rebuild for new gnome-desktop

* Mon Jun 25 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263715
- update buildrequires
- new version 3.5.3

* Sun Apr 01 2012 pterjan <pterjan> 3.4.0-2.mga2
+ Revision: 227627
- Add missing conflict breaking update from 1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226668
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224454
- new version 3.3.92

* Sat Oct 29 2011 wally <wally> 3.3.2.1-1.mga2
+ Revision: 159571
- imported package gnome-font-viewer

